QwtPolarLayout(3)

NAME
QwtPolarLayout -

Layout class for QwtPolarPlot.

SYNOPSIS

#include <qwt_polar_layout.h>

  Public Types
enum Option { IgnoreScrollbars = 0x01, IgnoreFrames = 0x02, IgnoreTitle = 0x04, IgnoreLegend = 0x08 }
Options to configure the plot layout engine.
typedef QFlags< Option > Options
Options to configure the plot layout engine.

  Public Member Functions
QwtPolarLayout ()
Constructor.
virtual ~QwtPolarLayout ()
Destructor.
void setLegendPosition (QwtPolarPlot::LegendPosition pos, double ratio)
Specify the position of the legend.
void setLegendPosition (QwtPolarPlot::LegendPosition pos)
Specify the position of the legend.
QwtPolarPlot::LegendPosition legendPosition () const
void setLegendRatio (double ratio)
double legendRatio () const
virtual void activate (const QwtPolarPlot *, const QRectF &rect, Options options=0)
Recalculate the geometry of all components.
virtual void invalidate ()
const QRectF & titleRect () const
const QRectF & legendRect () const
const QRectF & canvasRect () const

  Protected Member Functions
QRectF layoutLegend (Options options, QRectF &) const

Detailed Description

Layout class for QwtPolarPlot. Organizes the geometry for the different QwtPolarPlot components. It is used by the QwtPolar widget to organize its internal widgets or by QwtPolarRnderer to render its content to a QPaintDevice like a QPrinter, QPixmap/QImage or QSvgRenderer.

Member Enumeration Documentation

  enum QwtPolarLayout::Option

Options to configure the plot layout engine.

Enumerator

IgnoreScrollbars
    Ignore the dimension of the scrollbars.

IgnoreFrames
    Ignore all frames.

IgnoreTitle
    Ignore the title.

IgnoreLegend
    Ignore the legend.

Member Function Documentation

  void QwtPolarLayout::activate (const QwtPolarPlot *plot, const QRectF &boundingRect, Optionsoptions = 0) [virtual]

Recalculate the geometry of all components.

Parameters:
    plot Plot to be layout
    boundingRect Rect where to place the components
    options Options

See Also:
    invalidate(), titleRect(), legendRect(), canvasRect()

  const QRectF & QwtPolarLayout::canvasRect () const

Returns:
    Geometry for the canvas

See Also:
    activate(), invalidate()

  void QwtPolarLayout::invalidate () [virtual]
Invalidate the geometry of all components.

See Also:
    activate()

  QRectF QwtPolarLayout::layoutLegend (Optionsoptions, QRectF &rect) const [protected]
Find the geometry for the legend

Parameters:
    options Options how to layout the legend
    rect Rectangle where to place the legend

Returns:
    Geometry for the legend

  QwtPolarPlot::LegendPosition QwtPolarLayout::legendPosition () const

Returns:
    Position of the legend

See Also:
    setLegendPosition(), QwtPolarPlot::setLegendPosition(), QwtPolarPlot::legendPosition()

  double QwtPolarLayout::legendRatio () const

Returns:
    The relative size of the legend in the plot.

See Also:
    setLegendPosition()

  const QRectF & QwtPolarLayout::legendRect () const

Returns:
    Geometry for the legend

See Also:
    activate(), invalidate()

  void QwtPolarLayout::setLegendPosition (QwtPolarPlot::LegendPositionpos, doubleratio)

Specify the position of the legend.

Parameters:
    pos The legend's position.
    ratio Ratio between legend and the bounding rect of title, canvas and axes. The legend will be shrinked if it would need more space than the given ratio. The ratio is limited to ]0.0 .. 1.0]. In case of <= 0.0 it will be reset to the default ratio. The default vertical/horizontal ratio is 0.33/0.5.

See Also:
    QwtPolarPlot::setLegendPosition()

  void QwtPolarLayout::setLegendPosition (QwtPolarPlot::LegendPositionpos)

Specify the position of the legend.

Parameters:
    pos The legend's position. Valid values are QwtPolarPlot::LeftLegend, QwtPolarPlot::RightLegend, QwtPolarPlot::TopLegend, QwtPolarPlot::BottomLegend.

See Also:
    QwtPolarPlot::setLegendPosition()

  void QwtPolarLayout::setLegendRatio (doubleratio)
Specify the relative size of the legend in the plot

Parameters:
    ratio Ratio between legend and the bounding rect of title, canvas and axes. The legend will be shrinked if it would need more space than the given ratio. The ratio is limited to ]0.0 .. 1.0]. In case of <= 0.0 it will be reset to the default ratio. The default vertical/horizontal ratio is 0.33/0.5.

  const QRectF & QwtPolarLayout::titleRect () const

Returns:
    Geometry for the title

See Also:
    activate(), invalidate()

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.